<?php
$___notjson=1;
require_once "configdops.php";
$site = str_replace("http://", "", $site);
$site = str_replace("www.", "", $site);
$site2 = str_replace("http://", "", $site2);
$site2 = str_replace("www.", "", $site2);

$refer = $_SERVER['HTTP_REFERER']; // откуда идет вызов функции
$refer = str_replace("www.", "", $refer); // вырезаем www. из реферера
$domain = substr($refer, 7, strlen($site)); // переменная $домен равна рефереру, начиная с 7 символа (т.е. http:// вырезается), с количеством символов, равным количеству символов в переменной $site
$domain2 = substr($refer, 7, strlen($site2));
if($domain == $site or $domain2 == $site2)
{

$idmateriala = (int)$_GET['id'];

if ($_GET['mod'] == 'news') { 
$mod = 'news';
}
if ($_GET['mod'] == 'load') { 
$mod = 'load';
}
if ($_GET['mod'] == 'stuff') { 
$mod = 'stuff';
}
if ($_GET['mod'] == 'publ') { 
$mod = 'publ';
}
if ($_GET['mod'] == 'blog') { 
$mod = 'blog';
}


$papka = $idmateriala/500;
$papkatsel = (int)$papka;
$line = file('./'.$mod.'/'.$papkatsel.'/'.$idmateriala.'.txt');
if($line) {
$quantity = count($line);
}
else {$quantity = 0;}
$lines = file('./configs/' . $mod . '.txt');


if($quantity > 0)
{
foreach ($line as $line_num => $lin) {
        trim($lin);
        list ($pole, $title) = split("\t",$lin);
		$arrfile[$pole] = ereg_replace ("<br>", "\n", $title);
}

}
	echo "<div id='additional_fields'><b>Дополнительная информация:</b><br>\n";
	echo "<form name='chtitles' id='chtitles'>";
	if(count($lines) > 0) {	
	$i=0;
	foreach ($lines as $line_num => $line) {
        trim($line);
        list ($act, $pole, $title) = split("\t",$line);
		$i=$i+1;
		if ($act == 'a') {
			if (substr($pole,0,4) == 'area') {
			echo "<br>".stripslashes($title)."<br><input name='".$i."text' type='hidden' value = '$pole'><textarea class='textar' name='".$i."mess'>".htmlspecialchars(stripslashes($arrfile[$pole]), ENT_QUOTES)."</textarea><br>\n";
			}
			if (substr($pole,0,4) == 'text') {
			echo "<br>".stripslashes($title)."<br><input name='".$i."text' type='hidden' value = '$pole'><input class='textdop' name='".$i."mess' value='".htmlspecialchars(stripslashes($arrfile[$pole]), ENT_QUOTES)."' type='text'><br>\n";
			}
			}
	}
	}

echo "</form></div>";

?>
<style type="text/css">
.error_message { color: red;}
.field_error { border-color: red; }
#serialize { display: none}
</style>
<div id="serialize"></div>
<?
}
?>